program faimolden
character(80) molden_modele,ol,prefix,molden_loc,infoloc,aa
logical ex


call titre('FAIMOLDEN  FAIMOLDEN  FAIMOLDEN  FAIMOLDEN#',50)
!
! Lecture des donnees
!
print*,'prefixe ?'
read(5,'(a80)') prefix
print*, trim(prefix)
print*,' '
print*,'Fichier molden modele ?'
read(5,'(a80)') molden_modele
print*,trim(molden_modele)
print*,' '
print*,'fichier d''orbitales locales ?'
read(5,'(a80)') ol
print*,trim(ol)
print*,' '
inquire(file=trim(prefix)//'Infoloc',exist=ex)
if(.not.ex) then
   print*,'fichier Info non trouve. Donner le nom d''un fichier infoloc'
   read(5,'(a80)') infoloc
   open(1,file=infoloc,status='old')
   open(2,file=trim(prefix)//'Infoloc',status='unknown')
   do 
      read(1,'(a)',end=1) aa
      write(2,'(a)') aa
   enddo
   1 continue
   print*,'fichier ',trim(prefix)//'Infoloc',' cree'
else
   print*,'fichier ',trim(prefix)//'Infoloc',' trouve'
endif
print*,' '
molden_loc='molden_loc'

call faimolden1(molden_modele,ol,prefix,molden_loc)
print*,'Fichier molden cree :'
print*,trim(molden_loc)
print*,' '
end
